package com.dky;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import com.dky.tool.ModelTool;
import com.dky.utils.entity.DevPrice;
import com.dky.utils.entity.DevSpec;

public class Test {
    public static void main(String[] args) {
        JSONObject list = new JSONObject();
        JSONArray devSpecList = new JSONArray();
        JSONArray devPriceList = new JSONArray();
        DevSpec specObj1 = new DevSpec();
        DevSpec specObj2 = new DevSpec();
        DevSpec specObj3 = new DevSpec();
        specObj1.setId(1);
        specObj1.setDevType("直热式电锅炉");
        specObj1.setCapacity(1.5);
        specObj2.setId(2);
        specObj2.setDevType("直热式电锅炉");
        specObj2.setCapacity(2.5);
        specObj3.setId(3);
        specObj3.setDevType("直热式电锅炉");
        specObj3.setCapacity(3.0);
        devSpecList.add(specObj1);
        devSpecList.add(specObj2);
        devSpecList.add(specObj3);
        list.put("devSpecList",devSpecList);
        DevPrice devPrice1 = new DevPrice();
        DevPrice devPrice2 = new DevPrice();
        DevPrice devPrice3 = new DevPrice();
        devPrice1.setId(1);
        devPrice1.setDevType("直热式电锅炉");
        devPrice1.setDevPrice(0.05);
        devPrice2.setId(2);
        devPrice2.setDevType("直热式电锅炉");
        devPrice2.setDevPrice(0.06);
        devPrice3.setId(3);
        devPrice3.setDevType("直热式电锅炉");
        devPrice3.setDevPrice(0.07);
        devPriceList.add(devPrice1);
        devPriceList.add(devPrice2);
        devPriceList.add(devPrice3);
        list.put("devPriceList",devPriceList);
        ModelTool modelTool = new ModelTool(list);
        JSONObject param = new JSONObject();
        param.put("type", "0101");
        param.put("exportTemperature", 28);
        param.put("hotMedium", "1");
        param.put("hotDevicePower", "20.26");
        param.put("yearEnergy", "20.26");
        param.put("electricityPrice", "20.26");
        param.put("originalDevice", new JSONObject()
                .put("deviceType", "1")
                .put("deviceNum", 2)
                .put("deviceEnergyType", "1")
                .put("lastYearFee", "76.25"));
        String key = "vcH5hprSR9VkzneCzkBI3pD0D8plBBmLc927UW8/CY+NmfEi5e0zRH2iU6E8l1HCS/c+EVOzQeOGmgNshVgOpYUFUV5VUaECpWy6O2mE6fLeaeydA5tuGebX9kKp4UH6Oo5TeMC/mjQNpo8d1aho82+eIcOIE1CkVm9Ec875YrijyNz7P7hd9EYlnzJwVsf1Ks4Gzcnl0XRx2n3PN/tvCA==";
        JSONObject jsonObject = modelTool.exeModel2Report(param,key);//exeModel2Report
        System.out.println(jsonObject.toString());
    }
}
